Bug 819247 - Xorg 1.11.4 scale and panning does'nt work
Xorg 1.11.4 scale and panning does'nt work
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
26
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
https://bugs.freedesktop.org/show_bug...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-05 19:12 EDT by Egor Zaharov
Modified: 2018-05-03 04:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 10:17:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (46.66 KB, text/x-log)
2012-05-05 19:12 EDT, Egor Zaharov
no flags Details
Xorg.1.log (1.77 KB, text/x-log)
2012-05-05 19:12 EDT, Egor Zaharov
no flags Details
Xorg.2.log (1.77 KB, text/x-log)
2012-05-05 19:13 EDT, Egor Zaharov
no flags Details
Xorg.3.log (1.77 KB, text/x-log)
2012-05-05 19:14 EDT, Egor Zaharov
no flags Details
Xorg.4.log (1.77 KB, text/x-log)
2012-05-05 19:14 EDT, Egor Zaharov
no flags Details
Xorg.5.log (1.77 KB, text/x-log)
2012-05-05 19:15 EDT, Egor Zaharov
no flags Details
Xorg.9.log (33.47 KB, text/x-log)
2012-05-05 19:15 EDT, Egor Zaharov
no flags Details
Smolt profile of my computer (2.74 KB, text/plain)
2012-05-05 19:16 EDT, Egor Zaharov
no flags Details
Patch to fix problem (5.82 KB, patch)
2012-05-06 14:07 EDT, Egor Zaharov
no flags Details | Diff

  None (edit)
Description Egor Zaharov 2012-05-05 19:12:02 EDT
Created attachment 582335 [details]
Xorg.0.log

Description of problem:
Scale and panning do not work properly. Commands "xrandr --output ... --scale ..." and "xrandr --output ... --panning ..." change the screen size, but mouse pointer cannot be moved over the borders of the original screen.
 
Version-Release number of selected component (if applicable):
Fedora 16 with Gnome Shell
xorg-x11-server 1.11.4-2.fc16
 
How reproducible:
Always.
 
Steps to Reproduce:
1. Open a terminal
2. Run "xrandr", note the output name of the connected monitor (e.g. LVDS1)
3.a Run "xrandr --output LVDS1 --scale 1x1.28"
4.a Try to move mouse pointer to bottom or to the right edge of the screen.
3.b Run "xrandr --output LVDS1 --panning 1024x768" (where 1024x768 is bigger then real screen resolution 1024x600)
4.b Try to move the pointer to the borders and panning the desktop.
 
Actual results:
Screen is resized as expected. But the mouse pointer can't be moved over the borders of the original screen. So panning is impossible and scaled screen is partly reachable.
 
Additional info:
Similar bug in RHEL: https://bugzilla.redhat.com/show_bug.cgi?id=655212
No xorg.conf. Only default keyboard settings in xorg.conf.d.
Comment 1 Egor Zaharov 2012-05-05 19:12:54 EDT
Created attachment 582336 [details]
Xorg.1.log
Comment 2 Egor Zaharov 2012-05-05 19:13:52 EDT
Created attachment 582339 [details]
Xorg.2.log
Comment 3 Egor Zaharov 2012-05-05 19:14:22 EDT
Created attachment 582340 [details]
Xorg.3.log
Comment 4 Egor Zaharov 2012-05-05 19:14:51 EDT
Created attachment 582341 [details]
Xorg.4.log
Comment 5 Egor Zaharov 2012-05-05 19:15:23 EDT
Created attachment 582342 [details]
Xorg.5.log
Comment 6 Egor Zaharov 2012-05-05 19:15:55 EDT
Created attachment 582343 [details]
Xorg.9.log
Comment 7 Egor Zaharov 2012-05-05 19:16:38 EDT
Created attachment 582344 [details]
Smolt profile of my computer
Comment 8 Egor Zaharov 2012-05-06 11:42:49 EDT
xorg-x11-server 1.11.4-3.fc16
Bug still exists.
Comment 9 Egor Zaharov 2012-05-06 14:07:35 EDT
Created attachment 582481 [details]
Patch to fix problem

I found this patch at freedesktop.org https://bugs.freedesktop.org/attachment.cgi?id=56408 . I rebuilt the xorg-x11-server package from src.rpm with it. This solves the problem. Panning and scaling work as expected.
Comment 10 Adam Jackson 2012-05-07 13:22:25 EDT
(In reply to comment #9)
> Created attachment 582481 [details]
> Patch to fix problem
> 
> I found this patch at freedesktop.org
> https://bugs.freedesktop.org/attachment.cgi?id=56408 . I rebuilt the
> xorg-x11-server package from src.rpm with it. This solves the problem. Panning
> and scaling work as expected.

That patch will break confining cursors to within the CRTC, which means multihead with non-identically-sized outputs will go back to having a "dead zone" where the cursor can get lost.
Comment 11 Egor Zaharov 2012-05-07 14:51:31 EDT
(In reply to comment #10)
> (In reply to comment #9)
> > Created attachment 582481 [details]
> > Patch to fix problem
> > 
> > I found this patch at freedesktop.org
> > https://bugs.freedesktop.org/attachment.cgi?id=56408 . I rebuilt the
> > xorg-x11-server package from src.rpm with it. This solves the problem. Panning
> > and scaling work as expected.
> 
> That patch will break confining cursors to within the CRTC, which means
> multihead with non-identically-sized outputs will go back to having a "dead
> zone" where the cursor can get lost.

So, this means where is no actual, non ugly fix? Must be something...
Comment 12 Felix Miata 2012-12-02 01:46:10 EST
Upstream needs a shove to fix this, as it remains in F17 and F18.
Comment 13 Fedora End Of Life 2013-01-16 16:05:05 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Felix Miata 2013-01-16 17:27:36 EST
This bug needed to get moved to F18 long ago, but I have no power to do it.
Comment 15 Fedora End Of Life 2013-02-26 10:17:12 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 16 Felix Miata 2013-02-26 10:28:06 EST
upstream still open because panning still not working
Comment 17 Felix Miata 2013-12-04 03:53:23 EST
Ditto comment 16
Comment 18 Fedora End Of Life 2015-05-29 04:44:18 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Felix Miata 2015-06-01 05:28:49 EDT
Upstream bugs remain open:

RandR scaling doesn't work
https://bugs.freedesktop.org/show_bug.cgi?id=39949

xrandr scaling / transform does not work with radeon 
https://bugs.freedesktop.org/show_bug.cgi?id=80678
Comment 20 Jan Kurik 2015-07-15 11:09:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 21 Felix Miata 2016-08-09 19:53:30 EDT
Panning works via randr, but not via Xorg.con*, in F24, F25 or Rawhide. Upstream https://bugs.freedesktop.org/show_bug.cgi?id=77321 reports fixed in https://bugzilla.opensuse.org/show_bug.cgi?id=771521 7 months ago.
Comment 22 Fedora End Of Life 2017-02-28 04:30:43 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 23 Fedora End Of Life 2018-05-03 04:07:22 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.